## visad
Class ReferenceActionLink

    java.lang.Object
      visad.ReferenceActionLink

Direct Known Subclasses:
  DataDisplayLink

public class ReferenceActionLink
extends Object

ReferenceActionLink objects are used by Action objects to define their connections with ThingReference objects.

Field Summary
`(package private) Action` `action`
`(package private) ActionImpl` `local_action`
`(package private) ThingReference` `ref`

Constructor Summary
`ReferenceActionLink(ThingReference r, ActionImpl local_a, Action a, long jd)`

Method Summary
`(package private) void` `acknowledgeThingChangedEvent(long actionTick)`
`boolean` `checkTicks()` check whether this link requests Action to be applied
`Action` `getAction()`
`(package private) long` `getId()`
`ActionImpl` `getLocalAction()`
`String` `getName()`
`(package private) ThingChangedEvent` `getThingChangedEvent()` return any waiting event
`ThingReference` `getThingReference()`
`(package private) void` `incTick(long t)` set value of NewTick; presumably increases value
`(package private) ThingChangedEvent` `peekThingChangedEvent()` return any waiting event
`boolean` `peekTicks()` returns true if there is an action pending
`(package private) void` `resetTicks()` clear internal state
`void` `setTicks()` sync consumer's tick count with producer's tick count

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    ThingReference ref

### local_action

    ActionImpl local_action

### action

    Action action

Constructor Detail

### ReferenceActionLink

    public ReferenceActionLink(ThingReference r,
                               ActionImpl local_a,
                               Action a,
                               long jd)
                        throws RemoteException,
                               VisADException

Method Detail

### getId

    long getId()

### getThingReference

    public ThingReference getThingReference()

### getLocalAction

    public ActionImpl getLocalAction()

### getAction

    public Action getAction()

### getName

    public String getName()

### incTick

    void incTick(long t)

  set value of NewTick; presumably increases value

### setTicks

    public void setTicks()

  sync consumer's tick count with producer's tick count

### peekTicks

    public boolean peekTicks()

  returns true if there is an action pending

### checkTicks

    public boolean checkTicks()

  check whether this link requests Action to be applied

### resetTicks

    void resetTicks()

  clear internal state

### getThingChangedEvent

    ThingChangedEvent getThingChangedEvent()
                                     throws RemoteException,
                                            VisADException

  return any waiting event

  Throws:
    `RemoteException`
    `VisADException`

### peekThingChangedEvent

    ThingChangedEvent peekThingChangedEvent()
                                      throws RemoteException,
                                             VisADException

  return any waiting event

  Throws:
    `RemoteException`
    `VisADException`

### acknowledgeThingChangedEvent

    void acknowledgeThingChangedEvent(long actionTick)